package logwire.web.bo.handler;

import logwire.web.bo.object.BizObject;

public interface TypeOperationHandler<X extends BizObject> {
    String getOperation();

    boolean isEnabled();

    default int getOrder() {
        return 1000;
    }

    default boolean accept(Class<X> xClass, Object... args) {
        return true;
    }

    Object execute(Class<X> xClass, Object... args);
}

